cpw.mods.fml.common

## Class FMLLog

- java.lang.Object
- - cpw.mods.fml.common.FMLLog

-     public class FMLLog
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FMLLog()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `fine(String format, Object... data)`
    `static void` | `finer(String format, Object... data)`
    `static void` | `finest(String format, Object... data)`
    `static Logger` | `getLogger()`
    `static void` | `info(String format, Object... data)`
    `static void` | `log(Level level, String format, Object... data)`
    `static void` | `log(Level level, Throwable ex, String format, Object... data)`
    `static void` | `log(String logChannel, Level level, String format, Object... data)`
    `static void` | `log(String logChannel, Level level, Throwable ex, String format, Object... data)`
    `static void` | `makeLog(String logChannel)`
    `static void` | `severe(String format, Object... data)`
    `static void` | `warning(String format, Object... data)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FMLLog

          public FMLLog()

  - ### Method Detail

    - #### log

          public static void log(String logChannel,
                 Level level,
                 String format,
                 Object... data)

    - #### log

          public static void log(Level level,
                 String format,
                 Object... data)

    - #### log

          public static void log(String logChannel,
                 Level level,
                 Throwable ex,
                 String format,
                 Object... data)

    - #### log

          public static void log(Level level,
                 Throwable ex,
                 String format,
                 Object... data)

    - #### severe

          public static void severe(String format,
                    Object... data)

    - #### warning

          public static void warning(String format,
                     Object... data)

    - #### info

          public static void info(String format,
                  Object... data)

    - #### fine

          public static void fine(String format,
                  Object... data)

    - #### finer

          public static void finer(String format,
                   Object... data)

    - #### finest

          public static void finest(String format,
                    Object... data)

    - #### getLogger

          public static Logger getLogger()

    - #### makeLog

          public static void makeLog(String logChannel)